Skip to content

Create Pocket

Request

Creates a single Pocket for a customer. Trading strategy for the Pocket is specified with a Pocket Configuration.

Security
HTTPBearer
Path
customer_idstring, (uuid)(Customer Id)required
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
Bodyapplication/jsonrequired
pocket_namestring, <= 100 characters(Pocket Name)required

Pocket name

deposit_strategy_idstring(CreatePocketConfigurationId)required

Pocket deposit trading strategy ID (Example: UST-4W)

Enum:"UST-52W""UST-26W""UST-13W""UST-4W""UST-1W"
reinvestment_strategy_idCreatePocketConfigurationId (string) or null
Any of:

Pocket reinvestment trading strategy ID (Example: UST-4W)

string(CreatePocketConfigurationId)
Enum:"UST-52W""UST-26W""UST-13W""UST-4W""UST-1W"
typestring or null(Type)
Any of:

Pocket type

string
Enum:"JIKO_PAY""JIKO_STORE"
curl -i -X POST \
  'https://your-partner-name.partner-api.jikoservices.com/api/v2/customers/{customer_id}/pockets/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string' \
  -d '{
    "pocket_name": "string",
    "deposit_strategy_id": "UST-52W",
    "reinvestment_strategy_id": "UST-52W",
    "type": "JIKO_PAY"
  }'

Responses

Successful Response

Bodyapplication/json
idstring, (uuid)(Id)required

ID of the pocket

pocket_namestring(Pocket Name)required

Pocket name

portfolioPortfolio (object) or null
Any of:

Total liquid cash and holdings

statusstring(Status)required

Pocket status

Enum:"PENDING""OPEN""FROZEN""CLOSED"
attributesArray of strings(Attributes)
deposit_strategy_idstring(Deposit Strategy Id)required

Pocket deposit trading strategy ID (Example: UST-4W)

reinvestment_strategy_idstring or null(Reinvestment Strategy Id)required
Any of:

Pocket reinvestment trading strategy ID (Example: UST-4W)

string
typestring or null(Type)
Any of:

Pocket type

string
Enum:"JIKO_PAY""JIKO_STORE"
object_typestring(Object Type)read-onlyrequired
Response
{ "id": "d0e1dd1b-3e21-4cd4-9872-f71ea4967ffd", "pocket_name": "4-week T-bills", "portfolio": { "securities": [], "cash": {}, "all_time_earnings": {}, "total_value": {}, "fees": [], "liquidation_value_t0": {}, "liquidation_value_t1": {} }, "status": "PENDING", "attributes": [], "deposit_strategy_id": "UST-4W", "reinvestment_strategy_id": "UST-4W", "object_type": "Pocket" }